Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2005-11-07 10:33:38 +0300
committerJunio C Hamano <junkio@cox.net>2005-11-07 10:33:38 +0300
commit7141b3b78099941f25b17388f56a917d4f7af51d (patch)
treee7ff595f1fb6068b11a3a2c7eb71110faea998b8 /git-pull.sh
parent72e5890b68e7199d92620d3bba91fa36dd259404 (diff)
parent44760f1d559ae2087e53be6971ad4f1a8f18f1d7 (diff)
Merge branch 'master'
Diffstat (limited to 'git-pull.sh')
-rw-r--r--[-rwxr-xr-x]git-pull.sh12
1 files changed, 11 insertions, 1 deletions
diff --git a/git-pull.sh b/git-pull.sh
index e23d4f5597..2358af62d5 100755..100644
--- a/git-pull.sh
+++ b/git-pull.sh
@@ -7,7 +7,14 @@
. git-sh-setup || die "Not a git archive"
usage () {
- die "git pull [-n] [--no-commit] [-s strategy]... <repo> <head>..."
+ echo >&2 "usage: $0"' [-n] [--no-commit] [--no-summary] [--help]
+ [-s strategy]...
+ [<fetch-options>]
+ <repo> <head>...
+
+Fetch one or more remote refs and merge it/them into the current HEAD.
+'
+ exit 1
}
strategy_args= no_summary= no_commit=
@@ -33,6 +40,9 @@ do
esac
strategy_args="${strategy_args}-s $strategy "
;;
+ -h|--h|--he|--hel|--help)
+ usage
+ ;;
-*)
# Pass thru anything that is meant for fetch.
break